v4.3.7 (2026-08-31)
 - First run after a build install starts the build's binary installer so InstallAddon no longer waits for a second boot

v4.3.6 (2026-08-30)
 - Speedtest keeps local results if there is no speedtest.net image, tries HTTPS for upload, and shows a toast if the test fails
 - Speedtest ping uses a 10 second timeout and averages the probes that actually ran
 - Restore from backup skips natives that do not belong on this OS and prepares binary add-ons the same way as a build install
 - Video Cache Settings can auto-detect size from free RAM

v4.3.5 (2026-08-28)
 - Typo in addon.xml and changelog corrected

v4.3.4 (2026-08-28)
 - Speedtest now uses the same JSON endpoint as the speedtest.net website (api/js/servers?engine=js)

v4.3.3 (2026-08-24)
 - Binary add-on handling only rewrites compiled kodi.binary extensions, not Python context menus or resource add-ons

v4.3.2 (2026-08-23)
 - Whitelist Add/Remove no longer reports an update if nothing was changed

v4.3.1 (2026-08-22)
 - Authorise accounts are listed debrid A–Z, then meta A–Z; headings are hidden when there is only one group
 - Enable Skin Override Protection hidden again; Disable is only shown if protection is already on
 - Screenshots updated

v4.3.1~beta2 (2026-08-21)
 - Build rename map prompts even when the version number is unchanged
 - Build unzip progress keeps a solid background; Fresh Start still closes the dialog before the wipe
 - Account Manager Lite is only shown when it is installed
 - Authorise Debrid and Meta Accounts list expanded
 - ResolveURL OffCloud and TorBox open the ResolveURL settings page to add an account
 - Show Kodi / OS information now updates the main menu when toggled
 - Upload Kodi Log added; View Logs kept as a fallback
 - View Logs uses a plain dark window and can be scrolled
 - Whitelist Add-Ons moved to the Tools menu (less relevant with updated Save Debrid and Meta Account Data list)
 - Fixed Whitelist selection highlight on first open

v4.3.1~beta1 (2026-08-21)
 - Save Debrid and Meta Account Data list updated
 - Authorise Debrid and Meta Accounts added to Account Manager (installed add-ons only)
 - Refined binary add-on handling so Kodi can update them without deleting the add-on folder
 - Build installs now keep the zip's add-on database; full table wipe is only used on Fresh Start
 - Clear Packages on Startup can be Disabled, Every startup, 10 packages or 20 packages
 - Fresh Start progress dialog now closes before files are deleted
 - Video cache device presets use adaptive read factor (Kodi 21 and 22)
 - Whitelist Add/Remove lists show the add-on name only, without Kodi colour codes, including disabled add-ons
 - Force Update Add-ons now also scans local add-ons, not only repositories
 - Optional Kodi name, full version, release date and OS on the main menu (default on)
 - Build Menu only shows the build count when it is greater than zero
 - Build install shows a finalising notification after extraction
 - Video Cache Settings only shown on Kodi 21 and 22
 - New-build notification ignores list reordering and no longer shows a blank name

v4.3.0 (2026-05-02)
 - Reorganisation and rewrite of menus:
  * (Kodi) Maintenance and (Wizard) Tools separated into separate submenus
  * Add-on Whitelist moved to the Main menu
  * Notification moved to the Wizard menu
  * Enable/Disable Skin Override Protection made visible (Tools submenu, thanks Zaxxon709)

v4.2.9 (2026-04-23)
 - Fixed "No such file or directory" error with POV

v4.2.8 (2026-03-31)
 - Migrated from Debrid Manager (deprecated) to Account Manager Lite by Zaxxon709
 - Multiple changes to Fresh Start settings
 - Screenshots updated
 - Provider Names and CREDITS.txt updated

v4.2.7 (2025-11-10)
 - Change to Settings labels

v4.2.6a (2025-11-08)
 - Special version for test releases of The Red Wizard 22 fork of Kodi
 - Builds and notifications point to The Red Wizard test environment

v4.2.6 (2025-11-08)
 - Deprecated plug-ins removed from optional dependencies: service.installlitebinaries, service.installmybinaries and service.installrwbinaries
 - Fix for "Add To Whitelist" error when a plug-in is in the Whitelist but is not installed (thank you Zaxxon709)
 - Menu text edited

v4.2.5 (2025-10-26)
 - The Red Wizard and The Red Repo added to Frest Start > Excludes

v4.2.4 (2025-10-08)
 - MDBList integration improved and added to Account Manager menu (thank you Zaxxon709)
 - Minor wording and eye candy changes

v4.2.3 (2025-07-19)
 - MDBList integration added for ratings in the Redflix builds (thank you Zaxxon709)

v4.2.2 (2025-07-14)
 - Removed repository.redwizard from uservar.py > Excludes

v4.2.1 (2025-07-14)
 - Integrated with Debrid Manager from the 7o9 Repo
 - Main menu rationalised
 - Forum address updated

v4.2.0 (2025-06-05)
 - script.module.accountmgr removed from optional dependencies

v4.1.9 (2025-06-05)
 - Integration with Account Manager removed (plugin retired)
 - Main menu rationalised

v4.1.8 (2025-04-03)
 - Third party add-ons removed from uservar.py > Excludes (temporary measure during migration from OpenWizard to Simple Wizard). Maintaining the excludes list might cause issues when swapping builds.
 - Changes to _service.py
 - Screenshots updated

v4.1.7 (2025-03-18)
 - Change to maintenance.py

v4.1.6 (2025-03-18)
 - Fork of Simple Wizard v3.0.9 by Slamious, Sarge, Funsterbe and BYB
 - Video Cache Settings can now be viewed from Kodi GUI and Wizard menu
 - Show how much data will be cleaned: total, packages and thumbnails
 - Build size supported in builds.xml
 - Alert for new builds added to builds.xml
 - Edit Whitelist changed to separate "Add To Whitelist" and "Remove From Whitelist" menus
 - "Force Update Add-ons" and date/time of last run added
 - Auto Force Close
 - Changes to addonvar.py
 - Changes to menus
 - Screenshots updated
 - Other changes and fixes
 - Maintenance no longer compatible with Kodi 20 Nexus

v4.1.5 (2025-03-04)
 - Added extra check to not write to the build_list.json if the builds list is empty
 - Added a toggle switch to settings to enable/disable the New Build(s) notification
 - Menus reworded and rearranged
 - View Build Changelog added to main menu
 - Save GUI settings on update to new build name now works (if enabled in Wizard settings)
 - Save GUI Settings default set to "true"
 - Number of available builds added to Builds in the main menu
 - Installed version of Kodi now displayed in main menu
 - Build name change from "Build Update Available" in the main menu fixed
 - On build name change, now reads changelog from the new build name changelog file
 - Notify new build if added to the builds list
 - Cleaned up change build names code

v4.1.4 (2025-02-28)
 - Changes to _service.py, addonvar.py and downloader.py

v4.1.3 (2025-02-27)
 - Supports Red Wizard build name changes in addonvar.py
 - New build name change dialogue
 - Fixed update available, now correctly pops install build dialogue
 - Edited Changelog button, fits better in some skins
 - Multiple Debrid and Trakt add-ons used in The Red Wizard builds added to uservar.py > Excludes
 - a4kSubtitles Repository removed from uservar.py > Excludes (unnecessary)

v4.1.2 (2025-02-24)
 - Supports Kodi 21 Omega and Kodi 22 Piers (and Kodi 20 Nexus, maintenance only)
 - Corrected an error in the uservar.py
 - Look and feel changes to build_install.py and backup_restore.py
 - Fixed Kodi 20 and Kodi 21 Advanced Settings error in plugin.py
 - Changed Advanced Settings wording to Video Cache Presets in strings.po
 - script.module.certifi, script.module.chardet, script.module.idna, script.module.requests and script.module.urllib3 removed from uservar.py > Excludes

v4.1.1 (2025-02-22)
 - Save Trakt & Debrid Data enabled and integrated with Account Manager (no need to Whitelist supported add-ons)
 - Changes to backup_restore.json and save_data.py
 - Look and feel changes to menus.py and strings.po
 - Change to addonvar.py
 - Account Manager removed from excluduservar.py > Excludes (now automatically saved by The Red Wizard) 

v4.1.0 (2025-02-22)
 - Fork of Simple Wizard v3.0.8 by Slamious, Sarge, Funsterbe and BYB

V4.0.0 (2023-11-07)
 - Test fork of Simple Wizard, not for release

v3.1.0 (2025-01-06)
 - Corrected typos in window.py

v3.0.9 (2024-12-23)
 - Cache Presets set to Kodi 22 Piers

v3.0.8 (2024-12-22)
 - Changes from The Red Wizard Kodi 21 Omega Edition v2.2.5:
  - Rumble TV channel added
  - Numerous bug fixes, edits and dialog changes
  - Source changed to the New Age Wizard
  - Wizard compatible with Kodi 21 Omega and Kodi 22 Piers
  - Account Manger and A4K Subtitles added to uservar.py > Excludes and optional dependencies
  - Cache Settings compatible with Kodi 21 Omega and later
  - APK installer added
  - guisettings.xml toggle fixed
 - Many thanks to Slamious and thank you Zaxxon709 for their help with this update

v3.0.7 (2024-11-13)
 - Delete Textures changed to Kodi 22 Piers 'Textures14.db'
 - xbmc.python to version 3.0.1
 - Changes to uservar.py
 - Changes to addon.xml

v3.0.6 (2024-11-12)
 - Screenshots updated
 - Change to addon.xml

v3.0.5 (2024-10-28)
 - Screenshots updated

v3.0.4 (2024-10-15)
 - service.installlitebinaries and service.installrwbinaries added as optional dependencies

v3.0.3 (2024-10-13)
 - Screenshots updated

v3.0.2 (2024-10-08)
 - service.installmybinaries added as an optional dependency
 - Forum added to addon.xml
 - Return to the main directory for The Red Repo auto install

v3.0.1 (2024-09-22)
 - Change to addon.xml

v3.0.0 (2024-09-15)
 - Release for Kodi 22 Piers

v2.2.6b (2024-01-19)
 - Special version for The Red Wizard 21.2 (2102000 and 2102001)

v2.2.6a (2024-01-06)
 - Special version for The Red Wizard 21.1.5 (2101050 and 2101051), as v2.2.5a

v2.2.6 (2025-01-06)
 - Corrected typos in window.py

v2.2.5a (2024-11-02)
 - Special version for The Red Wizard 21.1.4 (2101040 and 2101041). Disable auto install repo (The Red Repo already in the apk)
 - repository.redwizard, script.module.certifi, script.module.chardet, script.module.idna, script.module.requests, script.module.six and script.module.urllib3 removed from uservar.py > Excludes (already in the apk)

v2.2.5 (2024-12-22)
 - Release for Kodi 21 Omega

v2.2.4 (2024-12-22)
 - Test version
 - The Red Wizard TV (Rumble) added
 - Numerous bug fixes, edits and dialog changes
 - Source changed to the New Age Wizard
 - Wizard compatible with Kodi 21 Omega and Kodi 22 Piers
 - Account Manger and A4K Subtitles added to uservar.py > Excludes and as optional dependencies
 - Many thanks to Slamious for making Rumble work!

v2.2.3 (2024-12-20)
 - Test version
 - Cache Settings compatible with Kodi 21 Omega and later
 - APK installer added
 - guisettings.xml toggle fixed
 - Many thanks to thank you Zaxxon709 for cache settings and the guisettings.xml fix

v2.2.2 (2024-11-13)
 - xbmc.python to version 3.0.1
 - Changes to uservar.py
 - Changes to addon.xml

v2.2.1 (2024-11-12)
 - Change to addon.xml

v2.2.0 (2024-11-12)
 - Builds screenshot updated

v2.1.9a (2024-11-02)
 - Special version for The Red Wizard 21.1.3 (2101030 and 2101031). Disable auto install repo (The Red Repo already in the apk)

v2.1.9 (2024-11-02)
 - service.installlitebinaries and service.installrwbinaries added as optional dependencies
 - Screenshots updated

v2.1.8 (2024-10-13)
 - Screenshots updated

v2.1.7a (2024-10-08)
 - Special version for The Red Wizard 21.1.2 (2101020 and 2101021). Disable auto install repo (The Red Repo already in the apk)

v2.1.7 (2024-10-08)
 - Return to the main directory for The Red Repo auto install

v2.1.6 (2024-10-08)
 - service.installmybinaries added as an optional dependency
 - Forum added to addon.xml

v2.1.5 (2024-09-22)
 - Change to addon.xml

v2.1.4a (2024-09-07)
 - Special version for The Red Wizard 21.1.1 (2101010 and 2101011). Disable auto install repo (The Red Repo already in the apk)

v2.1.4 (2024-09-06)
 - New directory for The Red Repo auto install

v2.1.3a (2024-08-18)
 - Special version for The Red Wizard 21.1 (2101000 and 2101001). Disable auto install repo (The Red Repo already in the apk)

v2.1.3 (2024-08-18)
 - Redflix screenshot changed

v2.1.2 (2024-06-27)
 - Build screenshots added to add-on information screen
 - Change to media directory structure

v2.1.1a (2024-04-06)
 - Special version for The Red Wizard 21.0 (2100000 and 2100001). Disable auto install repo (The Red Repo already in the apk)

v2.1.1 (2024-03-23)
 - Improved Contact layout

v2.1.0d (2024-03-20)
 - Special version for The Red Wizard 21.0 Release Candidate 2 (2090910 and 2090911)

v2.1.0c (2024-03-09)
 - Special version for The Red Wizard 21.0 Release Candidate 1 (2090900 and 2090901)

v2.1.0b (2024-02-16)
 - Special version for The Red Wizard 21.0 Beta 3 (2090830 and 2090831)

v2.1.0a (2023-12-10)
 - Special version for The Red Wizard 21.0 Beta 2 Wizard Edition (2090824). Disable auto install repo (The Red Repo already in the apk)

v2.1.0 (2023-11-06)
 - Various bug fixes and improvements

v2.0.4b (2023-10-21)
 - Special version for The Red Wizard 21.0 Beta 1 Wizard Edition (2090804)

v2.0.4a (2023-09-11)
 - Special version for The Red Wizard 21.0 Alpha 3 Wizard Edition (2090304). Disable auto install repo (The Red Repo already in the apk)

v2.0.4 (2023-08-04)
 - Change to uservar.py
 - Change to window.py

v2.0.3a (2023-08-02)
 - Special version for The Red Wizard 21.0 Alpha 2 Wizard Edition (2090205). Disable auto install repo (The Red Repo already in the apk)

v2.0.3 (2023-08-02)
 - Change to uservar.py - Contact Page not formatting correctly in Aeon Nox Silvo

v2.0.2 (2023-08-02)
 - Typo in v2.0.1

v2.0.1 (2023-08-02)
 - The Red Wizard is red!
 - Optional import of script.speedtester removed
 - Changes to uservar.py
 - Changes to window.py

v2.0.0 (2023-08-02)
 - Release for Kodi 21 Omega

V1.0.2 (2023-08-01)
 - Notifications enabled

v1.0.1b (2023-07-31)
 - Special version for The Red Wizard 21.0 Alpha 2 Wizard Edition

v1.0.1a (2023-07-28)
 - Special version for The Red Wizard 20.2 Wizard Edition. Disable auto install repo (The Red Repo already in the apk)

v1.0.1 (2023-07-28)
 - Release for Kodi 20 Nexus

v1.0.0 (2023-07-28)
 - The Red Wizard has a new home! Go to https://redwizard.xyz
 - Initial version for Kodi 20 Nexus